clear all;
close all;

siglen = 3000;

load /home/panek/caa_code/SRC/3D_AXI_SRC/fall068_pml_nachtest_20_1/linie_pml20_01.dat;
pml20_01 = linie_pml20_01(240:281);
load  /home/panek/caa_code/SRC/3D_AXI_SRC/fall068_pml_nachtest_20_1/MICRO_004;
sig20_01(:,1) = MICRO_004(1:siglen,12)/max(MICRO_004(1:siglen,12));
sig20_01(:,2) = MICRO_004(1:siglen,4)/max(MICRO_004(1:siglen,4));
sig20_01(:,3) = MICRO_004(1:siglen,10)/max(MICRO_004(1:siglen,10));
sig20_01(:,4) = MICRO_004(1:siglen,1);
clear MICRO_004;linie_pml20_01;

load /home/panek/caa_code/SRC/3D_AXI_SRC/fall069_pml_nachtest_20_10/linie_pml20_10.dat;
pml20_10 = linie_pml20_10(240:281);
load /home/panek/caa_code/SRC/3D_AXI_SRC/fall069_pml_nachtest_20_10/MICRO_004;
sig20_10(:,1) = MICRO_004(1:siglen,12)/max(MICRO_004(1:siglen,12));
sig20_10(:,2) = MICRO_004(1:siglen,4)/max(MICRO_004(1:siglen,4));
sig20_10(:,3) = MICRO_004(1:siglen,10)/max(MICRO_004(1:siglen,10));
sig20_10(:,4) = MICRO_004(1:siglen,1);
clear MICRO_004;linie_pml20_10;

load /home/panek/caa_code/SRC/3D_AXI_SRC/fall066_pml_nachtest_40_1/linie_pml40_01.dat;
pml40_01 = linie_pml40_01(240:281);
load /home/panek/caa_code/SRC/3D_AXI_SRC/fall066_pml_nachtest_40_1/MICRO_004;
sig40_01(:,1) = MICRO_004(1:siglen,12)/max(MICRO_004(1:siglen,12));
sig40_01(:,2) = MICRO_004(1:siglen,4)/max(MICRO_004(1:siglen,4));
sig40_01(:,3) = MICRO_004(1:siglen,10)/max(MICRO_004(1:siglen,10));
sig40_01(:,4) = MICRO_004(1:siglen,1);
clear MICRO_004; linie_pml40_01;

load /home/panek/caa_code/SRC/3D_AXI_SRC/fall067_pml_nachtest_40_10/linie_pml40_10.dat;
pml40_10 = linie_pml40_10(240:281);
load /home/panek/caa_code/SRC/3D_AXI_SRC/fall067_pml_nachtest_40_10/MICRO_004;
sig40_10(:,1) = MICRO_004(1:siglen,12)/max(MICRO_004(1:siglen,12));
sig40_10(:,2) = MICRO_004(1:siglen,4)/max(MICRO_004(1:siglen,4));
sig40_10(:,3) = MICRO_004(1:siglen,10)/max(MICRO_004(1:siglen,10));
sig40_10(:,4) = MICRO_004(1:siglen,1);
clear MICRO_004;linie_pml40_10;
whos

xpml = [-41:1:0]
whos
figure
hpl=plot(xpml,fliplr(pml20_01),'b', xpml,fliplr(pml20_10),'r', xpml,fliplr(pml40_01),'g', xpml,fliplr(pml40_10),'k');
set(hpl,'Linewidth',1)
set(gca,'Linewidth',1,'FontName','times')
grid on
xlabel('x [\Deltax]')
ylabel('\sigma_x')
hlg = legend('x_{pml}=20, \sigma_{max}=1','x_{pml}=20, \sigma_{max}=10','x_{pml}=40, \sigma_{max}=1','x_{pml}=40, \sigma_{max}=10',2)
set(hlg,'FontName','times')
axis([-41 0 0 10])

figure
%subplot(221)
hpl = plot(sig20_01(:,4), sig20_01(:,1:3));
set(hpl,'Linewidth',1)
set(gca,'Linewidth',1,'FontName','times')
ylabel('norm. Amplitude')
xlabel('t [s]')
hlg = legend('\rho''','u''','p''')
set(hlg,'FontName','times')
grid on
axis tight

%subplot(222)
%plot(sig20_10(:,4), sig20_10(:,1:3))
%legend('\rho''','u''','p''')
%axis tight

%subplot(223)
%plot(sig40_01(:,4), sig40_01(:,1:3))
%legend('\rho''','u''','p''')
%axis tight

%subplot(224)
%plot(sig40_10(:,4), sig40_10(:,1:3))
%legend('\rho''','u''','p''')
%axis tight
%legend('4','5','6')
%plot(MICRO_006(:,10),'r')

%legend('4','5','6','k')
%hold on
%plot(MICRO_005(:,10),'g')
%plot(MICRO_006(:,10),'r')

%legend('4','5','6')
yrange = [10^-6 1];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure
subplot(211)
hpl=semilogy(sig20_01(:,4), abs(sig20_01(:,3)),'g');
set(hpl,'Linewidth',1)
hold on
hpl=semilogy(sig20_01(:,4), abs(sig20_10(:,3)),'r');
set(hpl,'Linewidth',1)
set(gca,'Linewidth',1,'FontName','times')
ylabel('norm. Amplitude')
xlabel('t [s]')
title('x_{pml} = 20 \Deltax','FontName','times')
grid on
axis([-inf inf yrange])
legend('\sigma_{max} = 1','\sigma_{max} = 10')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(212)
hpl=semilogy(sig40_10(:,4), abs(sig40_01(:,3)),'g');
set(hpl,'Linewidth',1)
hold on
hpl=semilogy(sig40_10(:,4), abs(sig40_10(:,3)),'r');
set(hpl,'Linewidth',1)
set(gca,'Linewidth',1,'FontName','times')
ylabel('norm. Amplitude')
xlabel('t [s]')
title('x_{pml} = 40 \Deltax','FontName','times')
grid on
axis([-inf inf yrange])
hlg = legend('\sigma_{max} = 1','\sigma_{max} = 10')
set(hlg,'FontName','times')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% subplot(223)
% hpl=semilogy(sig40_01(:,4), abs(sig40_01(:,1:3)));
% set(hpl,'Linewidth',1)
% set(gca,'Linewidth',1,'FontName','times')
% ylabel('norm. Amplitude')
% xlabel('t [s]')
% title('x_{pml} = 40 \Deltax,  \sigma_{max} = 1','FontName','times')
% grid on
% axis([-inf inf yrange])
% legend('\rho''','u''','p''')
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% subplot(224)
% hpl=semilogy(sig40_10(:,4), abs(sig40_10(:,1:3)));
% set(hpl,'Linewidth',1)
% set(gca,'Linewidth',1,'FontName','times')
% ylabel('norm. Amplitude')
% xlabel('t [s]')
% title('x_{pml} = 40 \Deltax,  \sigma_{max} = 10','FontName','times')
% grid on
% axis([-inf inf yrange])
% legend('\rho''','u''','p''')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
